MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000105Kolibri OS (trunk)[All Projects] Kernelpublic2016-02-14 19:432017-10-31 22:50
Reporterleency 
Assigned To 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in VersionSVN build / автосборка SVN 
Summary0000105: Kernel restart is broken
DescriptionIssue appeared in rev 5364.

REV 5363 - ok
REV 5364 - nok

> Revision: 5364
> Author: hidnplayr
> Date: 9 01 2015 - 1:32:03
> Message:
> SOCKET_receive: generate a new network event when we expect the caller to call back later.
> ----
> Modified : /kernel/trunk/network/socket.inc
Steps To ReproducePress 'home' button in end application
TagsNo tags attached.
SVN revision / ревизия SVN
Type of distribution / Тип дистрибутиваany / любой
Attached Files

- Relationships

-  Notes
(0000179)
hidnplayr (developer)
2016-02-14 20:19

In virtualbox, this functionality does not work even on oldest revision in archive (#3224). System always reboots.
(0000180)
hidnplayr (developer)
2016-02-14 20:24

On a real system (Pentium 3) this functionailty is also broken in #5363, system hangs after blue screen.
(0000181)
hidnplayr (developer)
2016-02-14 20:47

On my 'real' test system (Pentium 3):

#5129 - works
#5130 - hangs after blue screen

Author: Serge
(0000182)
leency (developer)
2016-02-14 21:26
edited on: 2016-02-14 21:37

I confirm.

(0000190)
dunkaist (administrator)
2016-12-26 16:49

Guys,
test the latest nightbuild, works for me.

r6244 | serge | 2016-02-18 05:03:38 +0300 (Thu, 18 Feb 2016) | 1 line
kernel: restart, reboot and power off
(0000195)
dunkaist (administrator)
2017-10-31 22:50

There will be no kind remainder.
Works for me, fixed.

- Issue History
Date Modified Username Field Change
2016-02-14 19:43 leency New Issue
2016-02-14 19:43 leency Status new => assigned
2016-02-14 19:43 leency Assigned To => hidnplayr
2016-02-14 20:19 hidnplayr Note Added: 0000179
2016-02-14 20:24 hidnplayr Note Added: 0000180
2016-02-14 20:47 hidnplayr Note Added: 0000181
2016-02-14 21:26 leency Note Added: 0000182
2016-02-14 21:34 hidnplayr Summary "Home" button in End app is broken => Kernel restart is broken
2016-02-14 21:34 hidnplayr Steps to Reproduce Updated View Revisions
2016-02-14 21:37 leency Note Edited: 0000182 View Revisions
2016-02-17 16:07 hidnplayr Assigned To hidnplayr =>
2016-02-17 20:49 hidnplayr Status assigned => acknowledged
2016-12-26 16:49 dunkaist Note Added: 0000190
2017-10-31 22:50 dunkaist Note Added: 0000195
2017-10-31 22:50 dunkaist Status acknowledged => closed
2017-10-31 22:50 dunkaist Resolution open => fixed
2017-10-31 22:50 dunkaist Fixed in Version => SVN build / автосборка SVN


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker